#ifndef _INCLUDE_PRAGMA_DIGNET_LIB_H
#define _INCLUDE_PRAGMA_DIGNET_LIB_H

#ifndef CLIB_DIGNET_PROTOS_H
#include <clib/dignet_protos.h>
#endif

#if defined(AZTEC_C) || defined(__MAXON__) || defined(__STORM__)
#pragma amicall(DignetBase,0x01E,AllocNet(a0,d0))
#pragma amicall(DignetBase,0x024,FreeNet(a0))
#pragma amicall(DignetBase,0x02A,ReadNet(a0,a1,d0))
#pragma amicall(DignetBase,0x030,WriteNet(a0,a1,d0))
#pragma amicall(DignetBase,0x036,QueryNet(a0))
#pragma amicall(DignetBase,0x03C,AbortNet(a0))
#pragma amicall(DignetBase,0x042,InitIOEXT(a0,a1,d0))
#pragma amicall(DignetBase,0x048,ReadIOEXT(a0,a1,d0))
#pragma amicall(DignetBase,0x05A,Timeout(a0,d0))
#pragma amicall(DignetBase,0x060,ReadString(a0,a1,d0))
#pragma amicall(DignetBase,0x066,WriteString(a0,a1))
#pragma amicall(DignetBase,0x06C,GetNetport(a0))
#pragma amicall(DignetBase,0x072,InitModem(a0,a1,a2))
#pragma amicall(DignetBase,0x078,CallModemDT(a0,a1,a2))
#pragma amicall(DignetBase,0x07E,CallModemDP(a0,a1,a2))
#pragma amicall(DignetBase,0x084,WaitModem(a0,a1))
#pragma amicall(DignetBase,0x08A,HangupModem(a0))
#pragma amicall(DignetBase,0x090,StopWaiting(a0))
#pragma amicall(DignetBase,0x096,FlushNet(a0))
#pragma amicall(DignetBase,0x09C,SetBaud(a0,d0))
#pragma amicall(DignetBase,0x0A2,ConvertModemString(a0))
#pragma amicall(DignetBase,0x0A8,GetIOmsg(a0))
#pragma amicall(DignetBase,0x0AE,GetModemStatus(a0))
#pragma amicall(DignetBase,0x0B4,GetCurrentDevice(a0))
#pragma amicall(DignetBase,0x0BA,GetCurrentUnit(a0))
#pragma amicall(DignetBase,0x0C0,GetBaudrate(a0))
#pragma amicall(DignetBase,0x0C6,ParseConnect(a0))
#pragma amicall(DignetBase,0x0CC,SetDefault(a0))
#pragma amicall(DignetBase,0x0D2,ConvertToPC(a0))
#pragma amicall(DignetBase,0x0D8,ConvertToAmiga(a0))
#pragma amicall(DignetBase,0x0DE,FreeConvert(a0))
#pragma amicall(DignetBase,0x0E4,ObtainNet(a0))
#pragma amicall(DignetBase,0x0EA,RTNumberofNets())
#pragma amicall(DignetBase,0x0F0,RTNetInfo(a0,d0))
#pragma amicall(DignetBase,0x0F6,RTKillNet(d0))
#pragma amicall(DignetBase,0x0FC,RTAbort(d0))
#pragma amicall(DignetBase,0x102,RTFlush(d0))
#pragma amicall(DignetBase,0x108,RTCheck())
#pragma amicall(DignetBase,0x10E,RTHighestID())
#endif
#if defined(_DCC) || defined(__SASC)
#pragma libcall DignetBase AllocNet             01E 0802
#pragma libcall DignetBase FreeNet              024 801
#pragma libcall DignetBase ReadNet              02A 09803
#pragma libcall DignetBase WriteNet             030 09803
#pragma libcall DignetBase QueryNet             036 801
#pragma libcall DignetBase AbortNet             03C 801
#pragma libcall DignetBase InitIOEXT            042 09803
#pragma libcall DignetBase ReadIOEXT            048 09803
#pragma libcall DignetBase Timeout              05A 0802
#pragma libcall DignetBase ReadString           060 09803
#pragma libcall DignetBase WriteString          066 9802
#pragma libcall DignetBase GetNetport           06C 801
#pragma libcall DignetBase InitModem            072 A9803
#pragma libcall DignetBase CallModemDT          078 A9803
#pragma libcall DignetBase CallModemDP          07E A9803
#pragma libcall DignetBase WaitModem            084 9802
#pragma libcall DignetBase HangupModem          08A 801
#pragma libcall DignetBase StopWaiting          090 801
#pragma libcall DignetBase FlushNet             096 801
#pragma libcall DignetBase SetBaud              09C 0802
#pragma libcall DignetBase ConvertModemString   0A2 801
#pragma libcall DignetBase GetIOmsg             0A8 801
#pragma libcall DignetBase GetModemStatus       0AE 801
#pragma libcall DignetBase GetCurrentDevice     0B4 801
#pragma libcall DignetBase GetCurrentUnit       0BA 801
#pragma libcall DignetBase GetBaudrate          0C0 801
#pragma libcall DignetBase ParseConnect         0C6 801
#pragma libcall DignetBase SetDefault           0CC 801
#pragma libcall DignetBase ConvertToPC          0D2 801
#pragma libcall DignetBase ConvertToAmiga       0D8 801
#pragma libcall DignetBase FreeConvert          0DE 801
#pragma libcall DignetBase ObtainNet            0E4 801
#pragma libcall DignetBase RTNumberofNets       0EA 00
#pragma libcall DignetBase RTNetInfo            0F0 0802
#pragma libcall DignetBase RTKillNet            0F6 001
#pragma libcall DignetBase RTAbort              0FC 001
#pragma libcall DignetBase RTFlush              102 001
#pragma libcall DignetBase RTCheck              108 00
#pragma libcall DignetBase RTHighestID          10E 00
#endif
#ifdef __STORM__
#endif
#ifdef __SASC_60
#endif

#endif	/*  _INCLUDE_PRAGMA_DIGNET_LIB_H  */